package imt;

import imt.ingredients.Consigne;
import imt.ingredients.Ingredient;
import imt.ingredients.Legume;
import imt.ingredients.ViandePoisson;

public class Plat {
	private int idPlat;
	private String nomPlat;
	private Ingredient ingredients[];

	public Plat(int idPlat, String nomPlat, Ingredient[] ingredients) {
		this.idPlat = idPlat;
		this.nomPlat = nomPlat;
		this.ingredients = ingredients;
	}

	public int getIdPlat() {
		return idPlat;
	}

	public void setIdPlat(int idPlat) {
		this.idPlat = idPlat;
	}

	public String getNomPlat() {
		return nomPlat;
	}

	public void setNomPlat(String nomPlat) {
		this.nomPlat = nomPlat;
	}

	public Ingredient[] getIngredients() {
		return ingredients;
	}

	public void setIngredients(Ingredient[] ingredients) {
		this.ingredients = ingredients;
	}

	@Override
	public String toString() {
		StringBuilder ingredientStr = new StringBuilder();
		for (Ingredient ingredient : ingredients) {
			ingredientStr.append(ingredient.toString());
		}
		return "Plat [idPlat=" + idPlat + ", nomPlat=" + nomPlat + ", ingredients=" + ingredientStr.toString() + "]";
	}

	public void main(String[] args) {
		Ingredient ingredient1 = new Legume(12,"Oignon",100,false);
		ingredient1.setConsigne(Consigne.CUIT);
		Ingredient[] ingredients = {ingredient1};
		String nomplat = "Oignons grillé";
		new Plat(1, nomPlat, ingredients);

	}
}
